## org.bn.compiler.parser.model
Class AsnValue

    java.lang.Object
      org.bn.compiler.parser.model.AsnValue

    public class AsnValue

extends java.lang.Object

Field Summary
`AsnBitOrOctetStringValue` `bStrValue`
`AsnChoiceValue` `chval`
`java.lang.String` `cStr`
`AsnCharacterStringValue` `cStrValue`
`AsnDefinedValue` `definedValue`
`boolean` `isAsnOIDValue`
`boolean` `isChoiceValue`
`boolean` `isCString`
`boolean` `isCStrValue`
`boolean` `isDefinedValue`
`boolean` `isFalseKW`
`boolean` `isMinusInfinity`
`boolean` `isNullKW`
`boolean` `isPlusInfinity`
`boolean` `isSequenceOfValue`
`boolean` `isSequenceValue`
`boolean` `isSignedNumber`
`boolean` `isTrueKW`
`java.lang.String` `name`
`AsnOidComponentList` `oidval`
`AsnSequenceOfValue` `seqOfVal`
`AsnSequenceValue` `seqval`
`AsnSignedNumber` `signedNumber`
`java.lang.String` `typeName`

Constructor Summary
`AsnValue()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bStrValue

    public AsnBitOrOctetStringValue bStrValue

### cStr

    public java.lang.String cStr

### cStrValue

    public AsnCharacterStringValue cStrValue

### chval

    public AsnChoiceValue chval

### definedValue

    public AsnDefinedValue definedValue

### isAsnOIDValue

    public boolean isAsnOIDValue

### isCStrValue

    public boolean isCStrValue

### isCString

    public boolean isCString

### isChoiceValue

    public boolean isChoiceValue

### isDefinedValue

    public boolean isDefinedValue

### isFalseKW

    public boolean isFalseKW

### isMinusInfinity

    public boolean isMinusInfinity

### isNullKW

    public boolean isNullKW

### isPlusInfinity

    public boolean isPlusInfinity

### isSequenceOfValue

    public boolean isSequenceOfValue

### isSequenceValue

    public boolean isSequenceValue

### isSignedNumber

    public boolean isSignedNumber

### isTrueKW

    public boolean isTrueKW

### name

    public java.lang.String name

### oidval

    public AsnOidComponentList oidval

### seqOfVal

    public AsnSequenceOfValue seqOfVal

### seqval

    public AsnSequenceValue seqval

### signedNumber

    public AsnSignedNumber signedNumber

### typeName

    public java.lang.String typeName

Constructor Detail

### AsnValue

    public AsnValue()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`